Bug 757818

Summary: recipe: make ovirt-node-image.iso - cannot create a new ovirt node image.iso
Product: [Retired] oVirt Reporter: Douglas Schilling Landgraf <dougsland>
Component: ovirt-nodeAssignee: Mike Burns <mburns>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: acathrow, apevec, jboggs, mburns, ovirt-bugs, ovirt-maint, rjones
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: 2.2.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 758689 (view as bug list) Environment:
Last Closed: 2012-01-05 16:21:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 758689    

Description Douglas Schilling Landgraf 2011-11-28 19:03:02 UTC
Description of problem:

Hello Mike,

As we talked over IRC, I am creating this BZ to catch this issue during the generation of ovirt-node-image.

It used to work, since last week I cannot build a new ovir node iso.

# git log -1 | grep commit
commit b1f86732fa5a7803223a52af759b40830612d08a

My environment:
===================
# cat /etc/fedora-release 
Fedora release 16 (Verne)
livecd-tools-16.9-1.fc16.x86_64
python-imgcreate-16.9-1.fc16.x86_64

# cat  ~/.rpmmacros
%dist .fc16
%fedora 16

Even upgrading the livecd-tools and python-imgcreate still didn't fix:
- livecd-tools-17.2-1.fc17.x86_64
- python-imgcreate-17.2-1.fc17.x86_64

The the first output error that I got:
===========================================

# BASEDIR=$(rpm --eval %_topdir)
# export OVIRT_CACHE_DIR=~/ovirt-cache
# export OVIRT_LOCAL_REPO=file://${BASEDIR}/RPMS
# EXTRA_RELEASE=.$USER$(date +%s)

<compilation done>

# cd recipe
#recipe> make ovirt-node-image.iso
( \
    echo "PRODUCT='"oVirt Node Hypervisor"'" ;\
    echo "PRODUCT_SHORT='"oVirt Node Hypervisor"'" ;\
    echo "PACKAGE=ovirt-node-image" ;\
    echo "VERSION=2.1" ;\
    echo "RELEASE=0.fc16" ;\
) > version.ks
node-creator ovirt-node-image.ks
warning: libgcc-4.6.2-1.fc16.x86_64: Header V3 RSA/SHA256 Signature, key ID a82ba4b7: NOKEY
  Installing: libgcc                       ##################### [  1/445] 
  Installing: setup                        ##################### [  2/445] 
  Installing: filesystem                   ##################### [  3/445] 
  Installing: bind-license                 ##################### [  4/445] 
  Installing: fedora-release               ##################### [  5/445] 
  Installing: basesystem                   ##################### [  6/445] 
  Installing: ncurses-base                 ##################### [  7/445] 
  Installing: vgabios                      ##################### [  8/445] 
  Installing: xen-licenses                 ##################### [  9/445] 
  Installing: libX11-common                ##################### [ 10/445] 
  Installing: gpxe-roms-qemu               ##################### [ 11/445] 
  Installing: tzdata                       ##################### [ 12/445] 
  Installing: glibc-common                 ##################### [ 13/445] 
  Installing: nss-softokn-freebl           ##################### [ 14/445] 
  Installing: glibc                        ##################### [ 15/445] 
  Installing: ncurses-libs                 ##################### [ 16/445] 
  Installing: bash                         ##################### [ 17/445] 
  Installing: libsepol                     ##################### [ 18/445] 
  Installing: libselinux                   ##################### [ 19/445] 
  Installing: libattr                      ##################### [ 20/445] 
  Installing: libcap                       ##################### [ 21/445] 
  Installing: zlib                         ##################### [ 22/445] 
  Installing: libstdc++                    ##################### [ 23/445] 
  Installing: info                         ##################### [ 24/445] 
  Installing: libxml2                      ##################### [ 25/445] 
  Installing: libuuid                      ##################### [ 26/445] 
  Installing: libcom_err                   ##################### [ 27/445] 
  Installing: audit-libs                   ##################### [ 28/445] 
  Installing: readline                     ##################### [ 29/445] 
  Installing: popt                         ##################### [ 30/445] 
  Installing: chkconfig                    ##################### [ 31/445] 
  Installing: bzip2-libs                   ##################### [ 32/445] 
  Installing: nspr                         ##################### [ 33/445] 
  Installing: dbus-libs                    ##################### [ 34/445] 
  Installing: libacl                       ##################### [ 35/445] 
  Installing: nss-util                     ##################### [ 36/445] 
  Installing: sed                          ##################### [ 37/445] 
install-info: No such file or directory for /usr/share/info/sed.info.gz
  Installing: libgpg-error                 ##################### [ 38/445] 
  Installing: libgcrypt                    ##################### [ 39/445] 
  Installing: libblkid                     ##################### [ 40/445] 
  Installing: tcp_wrappers-libs            ##################### [ 41/445] 
  Installing: db4                          ##################### [ 42/445] 
  Installing: xz-libs                      ##################### [ 43/445] 
  Installing: libudev                      ##################### [ 44/445] 
  Installing: elfutils-libelf              ##################### [ 45/445] 
  Installing: gawk                         ##################### [ 46/445] 
  Installing: libcap-ng                    ##################### [ 47/445] 
  Installing: expat                        ##################### [ 48/445] 
  Installing: e2fsprogs-libs               ##################### [ 49/445] 
  Installing: boost-program-options        ##################### [ 50/445] 
  Installing: pcre                         ##################### [ 51/445] 
  Installing: grep                         ##################### [ 52/445] 
install-info: No such file or directory for /usr/share/info/grep.info.gz
  Installing: keyutils-libs                ##################### [ 53/445] 
  Installing: krb5-libs                    ##################### [ 54/445] 
  Installing: libaio                       ##################### [ 55/445] 
  Installing: sqlite                       ##################### [ 56/445] 
  Installing: cpio                         ##################### [ 57/445] 
  Installing: file-libs                    ##################### [ 58/445] 
  Installing: sigar                        ##################### [ 59/445] 
  Installing: libnl                        ##################### [ 60/445] 
  Installing: xen-libs                     ##################### [ 61/445] 
  Installing: xz                           ##################### [ 62/445] 
  Installing: bzip2                        ##################### [ 63/445] 
  Installing: lua                          ##################### [ 64/445] 
  Installing: findutils                    ##################### [ 65/445] 
  Installing: libidn                       ##################### [ 66/445] 
install-info: No such file or directory for /usr/share/info/libidn.info.gz
  Installing: augeas-libs                  ##################### [ 67/445] 
  Installing: libpcap                      ##################### [ 68/445] 
  Installing: libogg                       ##################### [ 69/445] 
  Installing: gdbm                         ##################### [ 70/445] 
  Installing: perl-Pod-Escapes             ##################### [ 71/445] 
  Installing: perl-PathTools               ##################### [ 72/445] 
  Installing: perl-threads                 ##################### [ 73/445] 
  Installing: perl-Module-Pluggable        ##################### [ 74/445] 
  Installing: perl-macros                  ##################### [ 75/445] 
  Installing: perl-Pod-Simple              ##################### [ 76/445] 
  Installing: perl-threads-shared          ##################### [ 77/445] 
  Installing: perl-Scalar-List-Utils       ##################### [ 78/445] 
  Installing: perl-libs                    ##################### [ 79/445] 
  Installing: perl                         ##################### [ 80/445] 
  Installing: numactl                      ##################### [ 81/445] 
  Installing: libmount                     ##################### [ 82/445] 
  Installing: vim-minimal                  ##################### [ 83/445] 
  Installing: tar                          ##################### [ 84/445] 
  Installing: libss                        ##################### [ 85/445] 
  Installing: e2fsprogs                    ##################### [ 86/445] 
  Installing: which                        ##################### [ 87/445] 
install-info: No such file or directory for /usr/share/info/which.info.gz
  Installing: boost-system                 ##################### [ 88/445] 
  Installing: boost-filesystem             ##################### [ 89/445] 
  Installing: libedit                      ##################### [ 90/445] 
  Installing: ncurses                      ##################### [ 91/445] 
  Installing: fuse-libs                    ##################### [ 92/445] 
  Installing: libtasn1                     ##################### [ 93/445] 
  Installing: gnutls                       ##################### [ 94/445] 
  Installing: yajl                         ##################### [ 95/445] 
  Installing: libffi                       ##################### [ 96/445] 
  Installing: gamin                        ##################### [ 97/445] 
  Installing: glib2                        ##################### [ 98/445] 
  Installing: pkgconfig                    ##################### [ 99/445] 
  Installing: shared-mime-info             ##################### [100/445] 
  Installing: dbus-glib                    ##################### [101/445] 
  Installing: bridge-utils                 ##################### [102/445] 
  Installing: lm_sensors-libs              ##################### [103/445] 
  Installing: slang                        ##################### [104/445] 
  Installing: newt                         ##################### [105/445] 
  Installing: libcroco                     ##################### [106/445] 
  Installing: celt051                      ##################### [107/445] 
  Installing: file                         ##################### [108/445] 
  Installing: nss-softokn                  ##################### [109/445] 
  Installing: libgssglue                   ##################### [110/445] 
  Installing: libtirpc                     ##################### [111/445] 
  Installing: less                         ##################### [112/445] 
  Installing: db4-utils                    ##################### [113/445] 
  Installing: nss-myhostname               ##################### [114/445] 
  Installing: libunistring                 ##################### [115/445] 
  Installing: diffutils                    ##################### [116/445] 
  Installing: libicu                       ##################### [117/445] 
  Installing: boost-regex                  ##################### [118/445] 
  Installing: boost-date-time              ##################### [119/445] 
  Installing: boost-thread                 ##################### [120/445] 
  Installing: gmp                          ##################### [121/445] 
  Installing: coreutils-libs               ##################### [122/445] 
  Installing: gzip                         ##################### [123/445] 
  Installing: cracklib                     ##################### [124/445] 
  Installing: cracklib-dicts               ##################### [125/445] 
  Installing: coreutils                    ##################### [126/445] 
  Installing: pam                          ##################### [127/445] 
  Installing: module-init-tools            ##################### [128/445] 
  Installing: hwdata                       ##################### [129/445] 
  Installing: libpciaccess                 ##################### [130/445] 
  Installing: binutils                     ##################### [131/445] 
  Installing: logrotate                    ##################### [132/445] 
  Installing: libselinux-utils             ##################### [133/445] 
  Installing: psmisc                       ##################### [134/445] 
  Installing: procps                       ##################### [135/445] 
  Installing: checkpolicy                  ##################### [136/445] 
/var/tmp/rpm-tmp.Et7eGp: line 1: groupadd: command not found
  Installing: matahari-core                ####################  [137/445]warning: group qpidd does not exist - using root
  Installing: matahari-core                ##################### [137/445] 
  Installing: libusb1                      ##################### [138/445] 
  Installing: usbredir                     ##################### [139/445] 
  Installing: lzo                          ##################### [140/445] 
  Installing: lzop                         ##################### [141/445] 
  Installing: dosfstools                   ##################### [142/445] 
  Installing: ntfs-3g                      ##################### [143/445] 
  Installing: dmidecode                    ##################### [144/445] 
  Installing: pixman                       ##################### [145/445] 
  Installing: linux-atm-libs               ##################### [146/445] 
  Installing: libICE                       ##################### [147/445] 
  Installing: libdb                        ##################### [148/445] 
  Installing: cyrus-sasl-lib               ##################### [149/445] 
  Installing: ustr                         ##################### [150/445] 
  Installing: libsemanage                  ##################### [151/445] 
  Installing: shadow-utils                 ##################### [152/445] 
  Installing: libutempter                  ##################### [153/445] 
  Installing: util-linux                   ##################### [154/445] 
  Installing: febootstrap-supermin-helper  ##################### [155/445] 
  Installing: cyrus-sasl-gssapi            ##################### [156/445] 
  Installing: libSM                        ##################### [157/445] 
  Installing: ntfsprogs                    ##################### [158/445] 
  Installing: genisoimage                  ##################### [159/445] 
  Installing: krb5-workstation             ##################### [160/445] 
install-info: No such file or directory for /usr/share/info/krb5-user.info
  Installing: groff                        ##################### [161/445] 
install-info: No such file or directory for /usr/share/info/groff.info
  Installing: nss                          ##################### [162/445] 
  Installing: nss-sysinit                  ##################### [163/445] 
  Installing: openldap                     ##################### [164/445] 
  Installing: libuser                      ##################### [165/445] 
  Installing: dhcp-libs                    ##################### [166/445] 
  Installing: sudo                         ##################### [167/445] 
  Installing: libnfsidmap                  ##################### [168/445] 
  Installing: hmaccalc                     ##################### [169/445] 
  Installing: alsa-lib                     ##################### [170/445] 
  Installing: generic-logos                ##################### [171/445] 
  Installing: boost-wave                   ##################### [172/445] 
  Installing: boost-graph                  ##################### [173/445] 
  Installing: gettext-libs                 ##################### [174/445] 
  Installing: nbd                          ##################### [175/445] 
  Installing: libgudev1                    ##################### [176/445] 
  Installing: grubby                       ##################### [177/445] 
  Installing: gnutls-utils                 ##################### [178/445] 
  Installing: perl-Net-Telnet              ##################### [179/445] 
  Installing: perl-hivex                   ##################### [180/445] 
  Installing: hivex                        ##################### [181/445] 
  Installing: libvorbis                    ##################### [182/445] 
  Installing: flac                         ##################### [183/445] 
  Installing: libsndfile                   ##################### [184/445] 
  Installing: augeas                       ##################### [185/445] 
  Installing: setools-libs                 ##################### [186/445] 
  Installing: device-mapper-multipath-libs ##################### [187/445] 
  Installing: kstart                       ##################### [188/445] 
  Installing: zerofree                     ##################### [189/445] 
  Installing: btrfs-progs                  ##################### [190/445] 
  Installing: elfutils-libs                ##################### [191/445] 
  Installing: xfsprogs                     ##################### [192/445] 
  Installing: libxslt                      ##################### [193/445] 
  Installing: netcf-libs                   ##################### [194/445] 
  Installing: libassuan                    ##################### [195/445] 
  Installing: acl                          ##################### [196/445] 
  Installing: avahi-libs                   ##################### [197/445] 
  Installing: boost-iostreams              ##################### [198/445] 
  Installing: pinentry                     ##################### [199/445] 
  Installing: nilfs-utils                  ##################### [200/445] 
  Installing: jfsutils                     ##################### [201/445] 
  Installing: make                         ##################### [202/445] 
  Installing: mtools                       ##################### [203/445] 
  Installing: libgomp                      ##################### [204/445] 
  Installing: m4                           ##################### [205/445] 
  Installing: cryptopp                     ##################### [206/445] 
  Installing: boost-signals                ##################### [207/445] 
  Installing: boost-random                 ##################### [208/445] 
  Installing: boost-chrono                 ##################### [209/445] 
  Installing: boost-test                   ##################### [210/445] 
  Installing: boost-serialization          ##################### [211/445] 
  Installing: libconfig                    ##################### [212/445] 
  Installing: attr                         ##################### [213/445] 
  Installing: lsof                         ##################### [214/445] 
  Installing: freetype                     ##################### [215/445] 
  Installing: dash                         ##################### [216/445] 
  Installing: libpipeline                  ##################### [217/445] 
  Installing: telnet                       ##################### [218/445] 
  Installing: hexedit                      ##################### [219/445] 
  Installing: libunwind                    ##################### [220/445] 
  Installing: google-perftools-libs        ##################### [221/445] 
  Installing: scrub                        ##################### [222/445] 
  Installing: libsysfs                     ##################### [223/445] 
  Installing: pciutils-libs                ##################### [224/445] 
  Installing: sgpio                        ##################### [225/445] 
  Installing: sg3_utils-libs               ##################### [226/445] 
  Installing: sg3_utils                    ##################### [227/445] 
  Installing: libasyncns                   ##################### [228/445] 
  Installing: sysvinit-tools               ##################### [229/445] 
  Installing: libbsd                       ##################### [230/445] 
  Installing: nc                           ##################### [231/445] 
  Installing: SDL                          ##################### [232/445] 
  Installing: libXau                       ##################### [233/445] 
  Installing: libxcb                       ##################### [234/445] 
  Installing: libX11                       ##################### [235/445] 
  Installing: libXext                      ##################### [236/445] 
  Installing: libXi                        ##################### [237/445] 
  Installing: libXtst                      ##################### [238/445] 
  Installing: pulseaudio-libs              ##################### [239/445] 
  Installing: mingetty                     ##################### [240/445] 
  Installing: traceroute                   ##################### [241/445] 
  Installing: plymouth-core-libs           ##################### [242/445] 
  Installing: reiserfs-utils               ##################### [243/445] 
  Installing: pth                          ##################### [244/445] 
  Installing: gnupg2                       ##################### [245/445] 
install-info: No such file or directory for /usr/share/info/gnupg.info
  Installing: libibverbs                   ##################### [246/445] 
  Installing: hostname                     ##################### [247/445] 
  Installing: strace                       ##################### [248/445] 
  Installing: ethtool                      ##################### [249/445] 
  Installing: libjpeg-turbo                ##################### [250/445] 
  Installing: ca-certificates              ##################### [251/445] 
  Installing: openssl                      ##################### [252/445] 
  Installing: python-libs                  ##################### [253/445] 
  Installing: python                       ##################### [254/445] 
  Installing: libssh2                      ##################### [255/445] 
  Installing: libcurl                      ##################### [256/445] 
  Installing: matahari-lib                 ##################### [257/445] 
  Installing: libwsman1                    ##################### [258/445] 
  Installing: libselinux-python            ##################### [259/445] 
  Installing: libxml2-python               ##################### [260/445] 
  Installing: python-IPy                   ##################### [261/445] 
  Installing: net-snmp-libs                ##################### [262/445] 
  Installing: python-pycurl                ##################### [263/445] 
  Installing: gettext                      ##################### [264/445] 
install-info: No such file or directory for /usr/share/info/gettext.info.gz
  Installing: dbus-python                  ##################### [265/445] 
  Installing: libuser-python               ##################### [266/445] 
  Installing: newt-python                  ##################### [267/445] 
  Installing: bind-libs-lite               ##################### [268/445] 
  Installing: dhcp-common                  ##################### [269/445] 
  Installing: authconfig                   ##################### [270/445] 
  Installing: python-urlgrabber            ##################### [271/445] 
  Installing: net-snmp-utils               ##################### [272/445] 
  Installing: sos                          ##################### [273/445] 
  Installing: curl                         ##################### [274/445] 
  Installing: rpm-libs                     ##################### [275/445] 
  Installing: rpm                          ##################### [276/445] 
  Installing: net-snmp-agent-libs          ##################### [277/445] 
  Installing: rpm-build-libs               ##################### [278/445] 
  Installing: pygobject2                   ##################### [279/445] 
  Installing: python-gudev                 ##################### [280/445] 
  Installing: audit-libs-python            ##################### [281/445] 
  Installing: PyPAM                        ##################### [282/445] 
  Installing: libsemanage-python           ##################### [283/445] 
  Installing: setools-libs-python          ##################### [284/445] 
  Installing: python-newt_syrup            ##################### [285/445] 
  Installing: pexpect                      ##################### [286/445] 
  Installing: python-suds                  ##################### [287/445] 
  Installing: python-qpid                  ##################### [288/445] 
  Installing: pyOpenSSL                    ##################### [289/445] 
  Installing: cracklib-python              ##################### [290/445] 
  Installing: python-ethtool               ##################### [291/445] 
  Installing: boost-python                 ##################### [292/445] 
  Installing: boost                        ##################### [293/445] 
  Installing: libevent                     ##################### [294/445] 
  Installing: wget                         ##################### [295/445] 
install-info: No such file or directory for /usr/share/info/wget.info.gz
  Installing: mysql-libs                   ##################### [296/445] 
  Installing: bind-libs                    ##################### [297/445] 
  Installing: bind-utils                   ##################### [298/445] 
  Installing: hfsplus-tools                ##################### [299/445] 
  Installing: fipscheck-lib                ##################### [300/445] 
  Installing: fipscheck                    ##################### [301/445] 
  Installing: spice-server                 ##################### [302/445] 
  Installing: cyrus-sasl-md5               ##################### [303/445] 
  Installing: busybox                      ##################### [304/445] 
  Installing: seabios-bin                  ##################### [305/445] 
  Installing: kbd-misc                     ##################### [306/445] 
  Installing: device-mapper                ##################### [307/445] 
  Installing: device-mapper-libs           ##################### [308/445] 
  Installing: cryptsetup-luks-libs         ##################### [309/445] 
  Installing: netxen-firmware              ##################### [310/445] 
  Installing: udev                         ##################### [311/445] 
  Installing: linux-firmware               ##################### [312/445] 
  Installing: iproute                      ##################### [313/445] 
  Installing: kbd                          ##################### [314/445] 
  Installing: systemd                      ##################### [315/445] 
  Installing: systemd-units                ##################### [316/445] 
  Installing: systemd-sysv                 ##################### [317/445] 
  Installing: iptables                     ##################### [318/445] 
  Installing: dbus                         ##################### [319/445] 
  Installing: net-tools                    ##################### [320/445] 
  Installing: iputils                      ##################### [321/445] 
  Installing: initscripts                  ##################### [322/445] 
  Installing: plymouth-scripts             ##################### [323/445] 
  Installing: libdrm                       ##################### [324/445] 
  Installing: plymouth                     ##################### [325/445] 
Need 'inst' function, try setting PLYMOUTH_POPULATE_SOURCE_FUNCTIONS to a file that defines it
  Installing: dracut                                             [326/445]warning: /etc/dracut.conf created as /etc/dracut.conf.rpmnew
  Installing: dracut                       ##################### [326/445] 
  Installing: kernel                       ##################### [327/445] 
  Installing: qpid-cpp-client              ##################### [328/445] 
  Installing: qpid-qmf                     ##################### [329/445] 
  Installing: device-mapper-event-libs     ##################### [330/445] 
  Installing: iscsi-initiator-utils        ##################### [331/445] 
  Installing: cyrus-sasl                   ##################### [332/445] 
  Installing: libvirt-client               ##################### [333/445] 
  Installing: libvirt-python               ##################### [334/445] 
  Installing: policycoreutils              ##################### [335/445] 
  Installing: ceph                         ##################### [336/445] 
  Installing: qemu-img                     ##################### [337/445] 
  Installing: qpid-cpp-server              ##################### [338/445] 
  Installing: device-mapper-event          ##################### [339/445] 
  Installing: qpid-cpp-client-ssl          ##################### [340/445] 
  Installing: libcgroup                    ##################### [341/445] 
  Installing: openssh                      ##################### [342/445] 
  Installing: rpcbind                      ##################### [343/445] 
  Installing: nfs-utils                    ##################### [344/445] 
  Installing: kpartx                       ##################### [345/445] 
  Installing: dmraid                       ##################### [346/445] 
  Installing: dmraid-events                ##################### [347/445] 
  Installing: parted                       ##################### [348/445] 
  Installing: device-mapper-multipath      ##################### [349/445] 
  Installing: openssh-clients              ##################### [350/445] 
  Installing: policycoreutils-python       ##################### [351/445] 
  Installing: qpid-cpp-server-ssl          ##################### [352/445] 
  Installing: lvm2-libs                    ##################### [353/445] 
  Installing: lvm2                         ##################### [354/445] 
  Installing: os-prober                    ##################### [355/445] 
  Installing: grub2                        ##################### [356/445] 
install-info: No such file or directory for /usr/share/info/grub2.info.gz
install-info: No such file or directory for /usr/share/info/grub2-dev.info.gz
  Installing: qemu-common                  ##################### [357/445] 
ln -s '/lib/systemd/system/ksm.service' '/etc/systemd/system/multi-user.target.wants/ksm.service'
ln -s '/lib/systemd/system/ksmtuned.service' '/etc/systemd/system/multi-user.target.wants/ksmtuned.service'
warning: %post(qemu-common-2:0.15.1-3.fc16.x86_64) scriptlet failed, exit status 1
  Installing: qemu-system-x86              ##################### [358/445] 
  Installing: qemu-kvm                     ##################### [359/445] 
  Installing: selinux-policy               ##################### [360/445] 
  Installing: selinux-policy-targeted      ##################### [361/445] 
  Installing: python-virtinst              ##################### [362/445] 
  Installing: virt-manager-common          ##################### [363/445] 
  Installing: python-qpid-qmf              ##################### [364/445] 
  Installing: qpid-tools                   ##################### [365/445] 
  Installing: fuse                         ##################### [366/445] 
  Installing: zfs-fuse                     ##################### [367/445] 
Initial install.  Starting service
  Installing: radvd                        ##################### [368/445] 
  Installing: dhclient                     ##################### [369/445] 
  Installing: ebtables                     ##################### [370/445] 
  Installing: gfs2-utils                   ##################### [371/445] 
  Installing: mdadm                        ##################### [372/445] 
  Installing: glusterfs                    ##################### [373/445] 
  Installing: glusterfs-fuse               ##################### [374/445] 
  Installing: rsyslog                      ##################### [375/445] 
  Installing: cronie-anacron               ##################### [376/445] 
  Installing: cronie                       ##################### [377/445] 
  Installing: crontabs                     ##################### [378/445] 
  Installing: man-db                       ##################### [379/445] 
  Installing: anyterm                      ##################### [380/445] 
  Installing: ConsoleKit-libs              ##################### [381/445] 
  Installing: polkit                       ##################### [382/445] 
  Installing: ConsoleKit                   ##################### [383/445] 
  Installing: matahari-agent-lib           ##################### [384/445] 
  Installing: collectd                     ##################### [385/445] 
  Installing: ipmitool                     ##################### [386/445] 
  Installing: fence-agents                 ##################### [387/445] 
  Installing: dnsmasq                      ##################### [388/445] 
  Installing: libvirt                      ##################### [389/445] 
error reading information on service cgconfig: No such file or directory
  Installing: vdsm                         ##################### [390/445] 
  Installing: ntpdate                      ##################### [391/445] 
  Installing: ntp                          ##################### [392/445] 
  Installing: cryptsetup-luks              ##################### [393/445] 
  Installing: libguestfs                   ##################### [394/445] 
  Installing: libguestfs-tools-c           ##################### [395/445] 
  Installing: python-libguestfs            ##################### [396/445] 
  Installing: ovirt-node                   ##################### [397/445] 
  Installing: vdsm-reg                     ##################### [398/445] 
  Installing: collectd-virt                ##################### [399/445] 
  Installing: libvirt-qmf                  ##################### [400/445] 
  Installing: matahari-host                ##################### [401/445] 
Running in chroot, ignoring request.
Redirecting to /bin/systemctl  condrestart matahari-host.service
Running in chroot, ignoring request.
  Installing: matahari-network             ##################### [402/445] 
Running in chroot, ignoring request.
Redirecting to /bin/systemctl  condrestart matahari-network.service
Running in chroot, ignoring request.
  Installing: sysstat                      ##################### [403/445] 
  Installing: dracut-network               ##################### [404/445] 
  Installing: matahari-broker              ##################### [405/445] 
Running in chroot, ignoring request.
Redirecting to /bin/systemctl  condrestart matahari-broker.service
Running in chroot, ignoring request.
  Installing: virt-manager-tui             ##################### [406/445] 
  Installing: openssh-server               ##################### [407/445] 
  Installing: vhostmd                      ##################### [408/445] 
  Installing: systemtap-runtime            ##################### [409/445] 
  Installing: kexec-tools                  ##################### [410/445] 
error reading information on service kdump: No such file or directory
  Installing: dracut-fips                  ##################### [411/445] 
  Installing: net-snmp                     ##################### [412/445] 
  Installing: system-config-firewall-base  ##################### [413/445] 
  Installing: audit                        ##################### [414/445] 
  Installing: acpid                        ##################### [415/445] 
  Installing: irqbalance                   ##################### [416/445] 
  Installing: bfa-firmware                 ##################### [417/445] 
  Installing: aic94xx-firmware             ##################### [418/445] 
  Installing: rpm-python                   ##################### [419/445] 
  Installing: python-hivex                 ##################### [420/445] 
  Installing: python-setuptools            ##################### [421/445] 
  Installing: qemu-kvm-tools               ##################### [422/445] 
  Installing: gdb                          ##################### [423/445] 
  Installing: tcpdump                      ##################### [424/445] 
  Installing: libmlx4                      ##################### [425/445] 
  Installing: pciutils                     ##################### [426/445] 
  Installing: sysfsutils                   ##################### [427/445] 
  Installing: syslinux                     ##################### [428/445] 
  Installing: passwd                       ##################### [429/445] 
  Installing: usbutils                     ##################### [430/445] 
  Installing: ltrace                       ##################### [431/445] 
  Installing: isomd5sum                    ##################### [432/445] 
  Installing: bc                           ##################### [433/445] 
  Installing: patch                        ##################### [434/445] 
  Installing: vdsm-cli                     ##################### [435/445] 
  Installing: eject                        ##################### [436/445] 
  Installing: lsscsi                       ##################### [437/445] 
  Installing: vconfig                      ##################### [438/445] 
  Installing: hdparm                       ##################### [439/445] 
  Installing: ql2200-firmware              ##################### [440/445] 
  Installing: ql2100-firmware              ##################### [441/445] 
  Installing: ql23xx-firmware              ##################### [442/445] 
  Installing: ql2400-firmware              ##################### [443/445] 
  Installing: rootfiles                    ##################### [444/445] 
  Installing: ql2500-firmware              ##################### [445/445] 
grubby fatal error: unable to find a suitable template
grubby: doing this would leave no kernel entries. Not writing out new config.

Removing password for user root.
passwd: Success
Note: Forwarding request to 'systemctl enable auditd.service'.
Note: Forwarding request to 'systemctl enable ntpd.service'.
ln -s '/lib/systemd/system/ntpd.service' '/etc/systemd/system/multi-user.target.wants/ntpd.service'
Note: Forwarding request to 'systemctl enable ntpdate.service'.
ln -s '/lib/systemd/system/ntpdate.service' '/etc/systemd/system/multi-user.target.wants/ntpdate.service'
Note: Forwarding request to 'systemctl enable iptables.service'.
Note: Forwarding request to 'systemctl enable rsyslog.service'.
Note: Forwarding request to 'systemctl enable multipathd.service'.
Note: Forwarding request to 'systemctl enable snmpd.service'.
ln -s '/lib/systemd/system/snmpd.service' '/etc/systemd/system/multi-user.target.wants/snmpd.service'
Note: Forwarding request to 'systemctl enable libvirt-qmf.service'.
ln -s '/lib/systemd/system/libvirt-qmf.service' '/etc/systemd/system/multi-user.target.wants/libvirt-qmf.service'
Note: Forwarding request to 'systemctl enable matahari-host.service'.
ln -s '/lib/systemd/system/matahari-host.service' '/etc/systemd/system/multi-user.target.wants/matahari-host.service'
Note: Forwarding request to 'systemctl enable libvirtd.service'.
ln -s '/lib/systemd/system/libvirtd.service' '/etc/systemd/system/multi-user.target.wants/libvirtd.service'
error reading information on service cgconfig: No such file or directory
Starting Kickstart Post
Creating shadow files
Lock root account
Locking password for user root.
passwd: Success
Saved 1 file(s)
Saved 1 file(s)
Saved 1 file(s)
patching file sosreport.py
patching file plugins/general.py
Listing /usr/lib/python2.7/site-packages/sos ...
Listing /usr/lib/python2.7/site-packages/sos/plugins ...
Compiling /usr/lib/python2.7/site-packages/sos/plugins/general.py ...
Compiling /usr/lib/python2.7/site-packages/sos/sosreport.py ...
Saved 1 file(s)
Configuring IPTables
Listing /usr/share/virt-manager ...
Listing /usr/share/virt-manager/virtManager ...
Listing /usr/share/virt-manager/virtManagerTui ...
Listing /usr/share/virt-manager/virtManagerTui/importblacklist ...
Configuring SELinux
Compiling targeted ovirt module
/usr/bin/checkmodule:  loading policy configuration from tmp/ovirt.tmp
/usr/bin/checkmodule:  policy configuration loaded
/usr/bin/checkmodule:  writing binary representation (version 14) to tmp/ovirt.mod
Creating targeted ovirt.pp policy package
rm tmp/ovirt.mod tmp/ovirt.mod.fc
Attempting to install module 'ovirt.pp':
Ok: return value of 0.
Committing changes:
Ok: transaction number 0.
Fixing boot menu
/sbin/ldconfig: relative path `0' used to build cache
warning: %postun(dmraid-1.0.0.rc16-15.fc15.x86_64) scriptlet failed, exit status 1
/usr/share/info/dir: could not read (No such file or directory) and could not create (No such file or directory)
Removing python source files
Creating manifest....done
/etc/selinux/targeted/contexts/files/file_contexts:  line 1791 has invalid context system_u:object_r:deltacloudd_log_t:s0
/etc/selinux/targeted/contexts/files/file_contexts:  line 3419 has invalid context system_u:object_r:dirsrvadmin_lock_t:s0
/etc/selinux/targeted/contexts/files/file_contexts:  line 3738 has invalid context system_u:object_r:ovirt_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts:  line 3958 has invalid context system_u:object_r:ovirt_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts:  line 3983 has invalid context system_u:object_r:matahari_sysconfigd_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts:  line 4119 has invalid context system_u:object_r:chrome_sandbox_nacl_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts:  line 4152 has invalid context system_u:object_r:chrome_sandbox_nacl_exec_t:s0
******file_contexts:  line 0 has invalid context system_u:object_r:ovirt_exec_t:s0

Unmounting directory /root/ovirt-cache/node-creator-x86_64-tmp/imgcreate-9fwzgZ/install_root failed, using lazy umount
Unmounting directory /root/ovirt-cache/node-creator-x86_64-tmp/imgcreate-9fwzgZ/install_root failed, using lazy umount
lazy umount succeeded on /root/ovirt-cache/node-creator-x86_64-tmp/imgcreate-9fwzgZ/install_root
/root/ovirt-cache/node-creator-x86_64-tmp/imgcreate-9fwzgZ/tmp-k6wy8v/ext3fs.img
umount: /root/ovirt-cache/node-creator-x86_64-tmp/imgcreate-9fwzgZ/install_root/sys/fs/selinux/load: not found
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 210, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 200, in main
    creator.package()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 744, in package
    self._stage_final_image()
  File "/usr/lib/python2.7/site-packages/imgcreate/live.py", line 327, in _stage_final_image
    self._resparse()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 897, in _resparse
    return self.__instloop.resparse(size)
  File "/usr/lib/python2.7/site-packages/imgcreate/fs.py", line 527, in resparse
    minsize = self.__resize_to_minimal()
  File "/usr/lib/python2.7/site-packages/imgcreate/fs.py", line 522, in __resize_to_minimal
    resize2fs(self.disk.lofile, minimal = True, tmpdir = self.tmpdir)
  File "/usr/lib/python2.7/site-packages/imgcreate/fs.py", line 109, in resize2fs
    raise ResizeError("fsck after resize returned an error (%d)!", (ret,))
TypeError: __init__() takes exactly 2 arguments (3 given)

Comment 1 Mike Burns 2011-11-28 22:21:50 UTC
This is caused by zfs-fuse starting it's service in %post.  There are 2 possible fixes:

1.  blacklist zfs-fuse from the node
2.  manually kill the service in %post of the image build

zfs-fuse is required by:  libguestfs-1:1.14.2-1.fc16.x86_64

rjones:  is this a hard requirement or something we can safely blacklist?

Comment 2 Mike Burns 2011-11-28 22:25:27 UTC
Temporary workaround:

Apply the following, then rerun build starting with autogen.sh


diff --git a/recipe/ovirt-node-image.ks.in b/recipe/ovirt-node-image.ks.in
index a24275c..b3d69a8 100644
--- a/recipe/ovirt-node-image.ks.in
+++ b/recipe/ovirt-node-image.ks.in
@@ -25,3 +25,6 @@

 %include common-manifest.ks

+%post
+/sbin/service zfs-fuse stop
+%end

Comment 3 Richard W.M. Jones 2011-11-28 22:34:49 UTC
(In reply to comment #1)
> This is caused by zfs-fuse starting it's service in %post.  There are 2
> possible fixes:
> 
> 1.  blacklist zfs-fuse from the node
> 2.  manually kill the service in %post of the image build
> 
> zfs-fuse is required by:  libguestfs-1:1.14.2-1.fc16.x86_64
> 
> rjones:  is this a hard requirement or something we can safely blacklist?

This is used to provide ZFS support in the appliance.

I think it's highly unlikely that ovirt node would have
to deal with a ZFS guest (Solaris maybe?).  So blacklist
it unless there's a case for ZFS support.

Comment 4 Douglas Schilling Landgraf 2011-11-29 01:37:59 UTC
Workaround worked like a charm.

Thanks again Mike.

Cheers
Douglas

Comment 5 Mike Burns 2011-11-30 12:58:27 UTC
Given the chance of a guest using ZFS, we should probably leave zfs-fuse on the node.  I'll apply the above workaround and file a separate bz to remove the workaround once zfs-fuse gets fixed.

Comment 6 Mike Burns 2011-11-30 13:01:23 UTC
http://gerrit.ovirt.org/446